CompareFilter
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.osgi.obr.filter
Class CompareFilter

    java.lang.Object
      org.apache.ivy.osgi.obr.xml.RequirementFilter
          org.apache.ivy.osgi.obr.filter.CompareFilter

    public class CompareFilter

extends RequirementFilter

Nested Class Summary
`static class` | `CompareFilter.Operator`

Constructor Summary
`CompareFilter(java.lang.String leftValue, CompareFilter.Operator operator, java.lang.String rightValue)`

Method Summary
`void` | `append(java.lang.StringBuffer builder)`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getLeftValue()`
`CompareFilter.Operator` | `getOperator()`
`java.lang.String` | `getRightValue()`
`int` | `hashCode()`

Methods inherited from class org.apache.ivy.osgi.obr.xml.RequirementFilter
`toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompareFilter

    public CompareFilter(java.lang.String leftValue,
                         CompareFilter.Operator operator,
                         java.lang.String rightValue)

Method Detail

### getLeftValue

    public java.lang.String getLeftValue()

### getOperator

    public CompareFilter.Operator getOperator()

### getRightValue

    public java.lang.String getRightValue()

### append

    public void append(java.lang.StringBuffer builder)

  Specified by:
    `append` in class `RequirementFilter`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD